#### General:
- Testing criteria:
    - Pesticide
    - Heavy metal
    - Water/Moiture
    - Cannabinoid
    - Solvent
    - Mycotoxin
    - Microbial
#### Leaf
- Only support fetching except Testing Lab Facilities
- Available attributes:
    - `external_id`: Id from 3rd party application.
    - `tested_at`: The date that the lab result record becomes complete (**datetime - mm/dd/yyyy hh:mmXM**).
    - `testing_status`: Denotes the stage of completion of the entirety of the lab result record; optional upon creation of lab result record, but required to be "completed" for lab result record to be finalized. (**enum - not_started, in_progress, completed**).
    - `type`: The primary category of the inventory type associated with the inventory lot being tested (**as categories**).
    - `intermediate_type`: The product subcategory of the inventory type associated with the inventory lot being tested (as **sub categories**).
    - `moisture_content_percent`: The results of the moisture content percent analysis (decimal (10,3)).
    - `moisture_content_water_activity_rate`: The results of the moisture content analysis (**decimal (10,3)**).
    - `cannabinoid_editor`: The last user to update the record (**integer(11)**).
    - `cannabinoid_status`: The stage of completion of the cannabinoid/potency testing (**enum - not_started, in_progress, completed**)
    - `cannabinoid_d9_thca_percent`: The results of the cannabinoid testing (**decimal (10,3)**).
    - `cannabinoid_d9_thca_mg_g`: The results of the cannabinoid testing (**decimal (10,3)**).
    - `cannabinoid_d9_thc_percent`: The results of the cannabinoid testing (**decimal (10,3)**).
    - `cannabinoid_d9_thc_mg_g`: The results of the cannabinoid testing (**decimal (10,3)**).
    - `cannabinoid_cbd_percent`: The results of the cannabinoid testing (**decimal (10,3)**).
    - `cannabinoid_cbd_mg_g`: The results of the cannabinoid testing (**decimal (10,3)**).
    - `cannabinoid_cbda_percent`: The results of the cannabinoid testing (**decimal (10,3)**).
    - `cannabinoid_cbda_mg_g`: The results of the cannabinoid testing (**decimal (10,3)**).
    - `microbial_editor`: The last user to update the record (**integer(11)**).
    - `microbial_status`: The stage of completion of the microbial testing (**enum - not_started, in_progress, completed**)
    - `microbial_bile_tolerant_cfu_g`: The results of the microbial testing (**decimal (10,3)**).
    - `microbial_pathogenic_e_coli_cfu_g`: The results of the microbial testing (**decimal (10,3)**).
    - `microbial_salmonella_cfu_g`: The results of the microbial testing (**decimal (10,3)**).
    - `mycotoxin_editor`: The last user to update the record (**integer(11)**).
    - `mycotoxin_status`: The stage of completion of the mycotoxin testing (**enum - not_started, in_progress, completed**)
    - `mycotoxin_aflatoxins_ppb`: The results of the mycotoxin testing (**decimal (10,3)**).
    - `mycotoxin_ochratoxin_ppb`: The results of the mycotoxin testing (**decimal (10,3)**).
    - `metal_editor`: The last user to update the record (**integer(11)**).
    - `metal_status`: The stage of completion of the heavy metal testing (**enum - not_started, in_progress, completed**)
    - `metal_arsenic_ppm`: The results of the heavy metal testing (**decimal (10,3)**).
    - `metal_cadmium_ppm`: The results of the heavy metal testing (**decimal (10,3)**).
    - `metal_lead_ppm`: The results of the heavy metal testing (**decimal (10,3)**).
    - `metal_mercury_ppm`: The results of the heavy metal testing (**decimal (10,3)**).
    - `pesticide_editor`: The last user to update the record (**integer(11)**).
    - `pesticide_status`: The stage of completion of the pesticide testing (**enum - not_started, in_progress, completed**)
    - `pesticide_abamectin_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_acephate_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_acequinocyl_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_acetamiprid_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_aldicarb_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_azoxystrobin_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_bifenazate_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_bifenthrin_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_boscalid_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_carbaryl_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_carbofuran_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_chlorantraniliprole_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_chlorfenapyr_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_chlorpyrifos_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_clofentezine_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_cyfluthrin_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_cypermethrin_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_daminozide_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_ddvp_dichlorvos_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_diazinon_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_dimethoate_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_ethoprophos_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_etofenprox_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_etoxazole_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_fenoxycarb_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_fenpyroximate_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_fipronil_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_flonicamid_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_fludioxonil_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_hexythiazox_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_imazalil_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_imidacloprid_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_kresoxim_methyl_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_malathion_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_metalaxyl_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_methiocarb_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_methomyl_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_methyl_parathion_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_mgk_264_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_myclobutanil_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_naled_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_oxamyl_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_paclobutrazol_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_permethrinsa_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_phosmet_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_piperonyl_butoxide_b_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_prallethrin_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_propiconazole_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_propoxur_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_pyrethrinsbc_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_pyridaben_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_spinosad_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_spiromesifen_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_spirotetramat_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_spiroxamine_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_tebuconazole_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_thiacloprid_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_thiamethoxam_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `pesticide_trifloxystrobin_ppm`: The results of the pesticide testing (**decimal (10,3)**).
    - `solvent_editor`: The last user to update the record (**integer(11)**).
    - `solvent_status`: The stage of completion of the residual solvent testing (**enum - not_started, in_progress, completed**)
    - `solvent_acetone_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_benzene_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_butanes_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_cyclohexane_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_chloroform_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_dichloromethane_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_ethyl_acetate_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_heptanes_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_hexanes_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_isopropanol_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_methanol_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_pentanes_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_propane_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_toluene_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `solvent_xylene_ppm`: The results of the residual solvent testing (**decimal (10,3)**).
    - `foreign_matter_stems`: The results of the foreign matter screening for stems ((**bool**))
    - `foreign_matter_seeds`: The results of the foreign matter screening for seeds (**bool**)
    - `test_for_terpenes`: The licensee is requesting non-mandatory terpene testing (**bool**)
    - `global_batch_id`: The global ID of the batch associated with the inventory lot that the sample came from  (**varchar(255)**).
    - `global_inventory_id`: The global ID relative to the testing lab of the inventory lot being tested (**varchar(255)**).
    - `global_user_id`: The global ID of the user who created the lab result record (**varchar(255)**).
    - `global_id`: Auto-generated unique ID for the lab result (**varchar(255)**).
